Package org.apache.jmeter.protocol.http.sampler

# Class ResourcesDownloader.AsynSamplerResultHolder

java.lang.Object
org.apache.jmeter.protocol.http.sampler.ResourcesDownloader.AsynSamplerResultHolder

Enclosing class:
  ResourcesDownloader

public static class ResourcesDownloader.AsynSamplerResultHolder extends Object
Holder of AsynSampler result

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsynSamplerResultHolder(HTTPSampleResult result, CollectionProperty cookies)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CollectionProperty`
  `getCookies()`
  `HTTPSampleResult`
  `getResult()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsynSamplerResultHolder

    public AsynSamplerResultHolder(HTTPSampleResult result, CollectionProperty cookies)
    Parameters:
      `result` - `HTTPSampleResult` to hold
      `cookies` - cookies to hold

- ## Method Details

  - ### getResult

    public HTTPSampleResult getResult()
    Returns:
      the result

  - ### getCookies

    public CollectionProperty getCookies()
    Returns:
      the cookies